package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="PapStatusKemandirian_T")
public class PapStatusKemandirianVO extends BaseTransactionVO{

	@ManyToOne
	@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	
	
	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@NotNull(message = "ekstremitasAtas tidak boleh kosong")
	private GenericViewVO ekstremitasAtas;

	@ManyToOne
	@NotNull(message = "ekstremitasBawah tidak boleh kosong")	
	private GenericViewVO ekstremitasBawah;
	
	@ManyToOne
	@NotNull(message = "batangTumbuh tidak boleh kosong")
	private GenericViewVO batangTumbuh;

	@ManyToOne
	@NotNull(message = "Makanan tidak boleh kosong")
	private GenericViewVO makanan;

	@ManyToOne
	@NotNull(message = "jalanKaki tidak boleh kosong")
	private GenericViewVO jalanKaki;

	@ManyToOne
	@NotNull(message = "kursiRoda tidak boleh kosong")
	private GenericViewVO kursiRoda;

	@ManyToOne
	@NotNull(message = "kursiRoda tidak boleh kosong")
	private GenericViewVO berguling;

	@ManyToOne
	@NotNull(message = "duduk tidak boleh kosong")
	private GenericViewVO duduk;

	@ManyToOne
	@NotNull(message = "wajahRambutTangan tidak boleh kosong")
	private GenericViewVO wajahRambutTangan;

	@ManyToOne
	@NotNull(message = "batangTumbuhDanPerineum tidak boleh kosong")
	private GenericViewVO batangTumbuhDanPerineum;

	@ManyToOne
	@NotNull(message = "traktusDigestivus tidak boleh kosong")
	private GenericViewVO traktusDigestivus;

	@ManyToOne
	@NotNull(message = "urinarius tidak boleh kosong")
	private GenericViewVO urinarius;

	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public GenericViewVO getEkstremitasAtas() {
		return ekstremitasAtas;
	}

	public void setEkstremitasAtas(GenericViewVO ekstremitasAtas) {
		this.ekstremitasAtas = ekstremitasAtas;
	}

	public GenericViewVO getEkstremitasBawah() {
		return ekstremitasBawah;
	}

	public void setEkstremitasBawah(GenericViewVO ekstremitasBawah) {
		this.ekstremitasBawah = ekstremitasBawah;
	}

	public GenericViewVO getBatangTumbuh() {
		return batangTumbuh;
	}

	public void setBatangTumbuh(GenericViewVO batangTumbuh) {
		this.batangTumbuh = batangTumbuh;
	}

	public GenericViewVO getMakanan() {
		return makanan;
	}

	public void setMakanan(GenericViewVO makanan) {
		this.makanan = makanan;
	}

	public GenericViewVO getJalanKaki() {
		return jalanKaki;
	}

	public void setJalanKaki(GenericViewVO jalanKaki) {
		this.jalanKaki = jalanKaki;
	}

	public GenericViewVO getKursiRoda() {
		return kursiRoda;
	}

	public void setKursiRoda(GenericViewVO kursiRoda) {
		this.kursiRoda = kursiRoda;
	}

	public GenericViewVO getBerguling() {
		return berguling;
	}

	public void setBerguling(GenericViewVO berguling) {
		this.berguling = berguling;
	}

	public GenericViewVO getDuduk() {
		return duduk;
	}

	public void setDuduk(GenericViewVO duduk) {
		this.duduk = duduk;
	}

	public GenericViewVO getWajahRambutTangan() {
		return wajahRambutTangan;
	}

	public void setWajahRambutTangan(GenericViewVO wajahRambutTangan) {
		this.wajahRambutTangan = wajahRambutTangan;
	}

	public GenericViewVO getBatangTumbuhDanPerineum() {
		return batangTumbuhDanPerineum;
	}

	public void setBatangTumbuhDanPerineum(GenericViewVO batangTumbuhDanPerineum) {
		this.batangTumbuhDanPerineum = batangTumbuhDanPerineum;
	}

	public GenericViewVO getTraktusDigestivus() {
		return traktusDigestivus;
	}

	public void setTraktusDigestivus(GenericViewVO traktusDigestivus) {
		this.traktusDigestivus = traktusDigestivus;
	}

	public GenericViewVO getUrinarius() {
		return urinarius;
	}

	public void setUrinarius(GenericViewVO urinarius) {
		this.urinarius = urinarius;
	}
	
}
